Bug 225043 - sysutils/vzvol fails to build because of wrong dependency in Makefile
Summary: sysutils/vzvol fails to build because of wrong dependency in Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-10 10:31 UTC by FiLiS
Modified: 2018-01-12 10:01 UTC (History)
2 users (show)

See Also:
rainbow: maintainer-feedback+


Attachments
patch for Makefile to change VIRTUALBOX_RUN_DEPENDS (537 bytes, patch)
2018-01-10 10:31 UTC, FiLiS
no flags Details | Diff
poudriere build log of the failing build (17.05 KB, text/plain)
2018-01-10 10:33 UTC, FiLiS
no flags Details
poudriere build log of the successful build (20.25 KB, text/plain)
2018-01-10 10:34 UTC, FiLiS
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description FiLiS 2018-01-10 10:31:50 UTC
Created attachment 189579 [details]
patch for Makefile to change VIRTUALBOX_RUN_DEPENDS

Poudriere fails to build because of missing VirtualBox file, changing this in the Makefile to VBoxManage fixes it.
Comment 1 FiLiS 2018-01-10 10:33:44 UTC
Created attachment 189580 [details]
poudriere build log of the failing build
Comment 2 FiLiS 2018-01-10 10:34:19 UTC
Created attachment 189581 [details]
poudriere build log of the successful build
Comment 3 Rainbow 2018-01-11 19:04:45 UTC
(In reply to Philip Jocks from comment #0)
Hey, thanks for submitting the fix. I...can't seem to take over this bug and mark it as In Progress but I'm working on it :)
Comment 4 commit-hook freebsd_committer 2018-01-12 10:00:11 UTC
A commit references this bug:

Author: mmokhi
Date: Fri Jan 12 09:59:32 UTC 2018
New revision: 458815
URL: https://svnweb.freebsd.org/changeset/ports/458815

Log:
  sysutils/vzvol: Fix wrong dependency (from virtualbox-ose port) to fix the build

  PR:		225043
  Submitted by:	Philip Jocks <freebsdbugs@filis.org>
  Reported by:	Philip Jocks <freebsdbugs@filis.org>
  Approved by:	Rainbow <rainbow@purlinux.org> (maintainer)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/sysutils/vzvol/Makefile
Comment 5 Mahdi Mokhtari freebsd_committer freebsd_triage 2018-01-12 10:01:07 UTC
Committed.
Thanks everybody :)